rcs (5.10.1-3) unstable; urgency=medium

  * QA upload.
  * Fix clean target. Closes: #1048011.
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 02 Dec 2025 14:50:00 +0100

rcs (5.10.1-2) unstable; urgency=medium

  * debian/control:
    + Set Maintainer to Debian QA Group <packages@qa.debian.org>.
    + Update Vcs-* fields to point to new location in the Debian group on Salsa.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 07 Feb 2025 18:54:26 +0100

rcs (5.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: upstream now uses lzip-compressed tarballs.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 19 Feb 2022 19:40:38 +0100

rcs (5.10.0-2) unstable; urgency=medium

  * Switch to debhelper compatibility level 13.
  * Bump Standards-Version to 4.6.0.
  * Use version 4 watch file.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 26 Sep 2021 11:52:44 +0200

rcs (5.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable all tests and drop cherry-picked upstream patches.
  * Cherry-pick commit 8883c4f5a2 from upstream to fix t632 failure.
  * Drop lintian override 'package-needs-versioned-debhelper-build-depends'.
  * Bump Standards-Version to 4.5.0.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 25 Oct 2020 18:13:55 +0100

rcs (5.9.4-6) unstable; urgency=medium

  * Minor packaging fixes courtesy of the Janitor bot and lintian-brush:
    + Use secure URI in debian/watch.
    + Use secure URI in Homepage field.
    + Set debhelper-compat version in Build-Depends.
    + Set upstream metadata fields: Bug-Submit (from ./configure), Name
      (from ./configure), Repository, Repository-Browse.
  * Switch to debhelper compatibility level 12.
  * Bump Standards-Version to 4.4.1.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 31 Dec 2019 19:19:03 +0100

rcs (5.9.4-5) unstable; urgency=medium

  * Temporarily disable t810, which now fails for some unexplained reason
    (closes: #921758).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 10 Feb 2019 16:39:36 +0100

rcs (5.9.4-4) unstable; urgency=medium

  * Make the build reproducible, with thanks to Chris Lamb <lamby@debian.org>
    for the patch (closes: #877384).
  * Switch to debhelper compatibility level 11.
  * Use new URLs on salsa.debian.org for Vcs-* fields.
  * Bump Standards-Version to 4.1.2.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 01 Jan 2018 23:50:31 +0100

rcs (5.9.4-3) unstable; urgency=medium

  * Add texinfo to build-depends to avoid failing the build when the
    documentation gets rebuilt as a side effect of mangling the timezone
    (closes: #789495).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 21 Jun 2015 18:42:37 +0200

rcs (5.9.4-2) unstable; urgency=medium

  * Cherry-pick commit 260704a916 from upstream Git to fix FTBFS with
    GCC 5 (closes: #778100).
  * Use cgit URL in Vcs-Browser field.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 19 Jun 2015 23:42:04 +0200

rcs (5.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 22 May 2015 21:49:51 +0200

rcs (5.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 18 Sep 2014 22:44:43 +0200

rcs (5.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 30 Nov 2013 19:05:31 +0100

rcs (5.9.1-2) unstable; urgency=low

  * Add build-dep on ed.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 04 Oct 2013 20:43:55 +0200

rcs (5.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 04 Oct 2013 19:15:35 +0200

rcs (5.9.0-1) unstable; urgency=low

  * New upstream release.
  * Install upstream NEWS file.
  * debian/control: Use canonical locations in Vcs-* fields.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 29 May 2013 21:33:52 +0200

rcs (5.8.2-1) experimental; urgency=low

  * New upstream release, includes fix for wrong symbolic name dereference
    (closes: #706393).
  * Add versioned build-dep on automake since upstream now requires
    version 1.12.2.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 06 Apr 2013 18:19:42 +0200

rcs (5.8.1-3) unstable; urgency=low

  * Use dh-autoreconf to update upstream's old config.{guess,sub} scripts.
  * Bump Standards-Version to 3.9.4.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 31 Mar 2013 19:55:16 +0200

rcs (5.8.1-2) unstable; urgency=low

  * Drop now superfluous build-dependencies on groff and autoconf.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 12 Aug 2012 12:53:34 +0200

rcs (5.8.1-1) unstable; urgency=low

  * New upstream release.
  * The rcsintro(1) man page was dropped upstream, it is superseded by the
    new info manual (closes: #610807).
  * Use the right versioned build-deps for hardening flags.
  * Clarify copyright situation further in debian/copyright.
  * Drop debian/patches/ident-numerical-keywords.diff (redundant with
    another upstream change).
  * Drop spelling patch; the issue was fixed upstream.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 06 Jun 2012 21:45:58 +0200

rcs (5.8-1) unstable; urgency=low

  * New upstream release.
  * Document license changes in debian/copyright: new license is GPLv3
    and the new manual is under the GFDL 1.3 (w/o invariant sections or
    cover texts).
  * Stop shipping the rcsfreeze script as upstream doesn't support it.
  * Switch to debhelper compat level 9, use a minimal debian/rules with
    dh, enable all hardening options.
  * Switch to 3.0 (quilt) source format.
  * Add missing dep on ${misc:Depends}.
  * Override lintian tag 'package-needs-versioned-debhelper-build-depends'.
  * Override lintian tag 'description-synopsis-starts-with-article'.
  * Add debian/watch file.
  * Make sure we don't ship an Info dir file.
  * Remove references to RCS paper (no longer built).
  * Fix spelling error pointed out by lintian.
  * Bump Standards-Version to 3.9.3.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 20 May 2012 00:18:55 +0200

rcs (5.7-25) unstable; urgency=low

  * The "dogs that love the rain and chasing trains" release.

  * debian/control:
    + Set section to 'vcs' to follow override.
    + Set Standards-Version to 3.8.1.
  * debian/rules:
    + Use `dh_prep' instead of `dh_clean -k'.
    + Don't number exported patches.

  * Drop Debian change added in rcs 5.7-13 (Nov 1999) which modifies the
    first line of pic's output.  As far as I can tell it's fine as-is, and
    the change results in an extraneous line at the top of the page
    (closes: #525291).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 16 Jun 2009 20:20:11 +0200

rcs (5.7-24) unstable; urgency=low

  * The "Pour all of your souls like magma into the caverns" release.

  * debian/compat: Switch to debhelper compatibility level 7.
  * debian/rules:
    + Don't delete *-stamp manually.
    + Reverse clean/unpatch order.
  * debian/clean: New file, clean up rcs.ps.
  * debian/control:
    + Build-depend on debhelper (>= 7).
    + Set Standards-Version to 3.8.0, no changes needed.
    + Mention merge program in long description (closes: #498736).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 13 Sep 2008 16:31:30 +0200

rcs (5.7-23) unstable; urgency=low

  * The "fourteen degrees below" release.

  * Repackage with debhelper and a patch system.
  * debian/control: Build-depend on debhelper (>= 6).
  * debian/rules: Rewrite using debhelper.
  * debian/{compat,rcs.docs}: New files.
  * debian/patches/: New directory, contains patches split off the previous
    monolithic Debian diff.

  * Include patch by Justin Pryzby <justinpryzby@users.sourceforge.net>
    fixing minor formatting errors in merge.1 (closes: #471243).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 23 Mar 2008 12:48:22 +0100

rcs (5.7-22) unstable; urgency=low

  * debian/control: Set Standards-Version to 3.7.3, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 26 Jan 2008 19:45:24 +0100

rcs (5.7-21) unstable; urgency=low

  * debian/control: Add Homepage, Vcs-Git and Vcs-Browser fields.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 03 Nov 2007 13:04:07 +0100

rcs (5.7-20) unstable; urgency=low

  * debian/control: Add support for DEB_BUILD_OPTIONS (closes: #437885).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 14 Aug 2007 21:24:54 +0200

rcs (5.7-19) unstable; urgency=low

  * debian/control: Bump Standards-Version to 3.7.2, no changes needed.
  * debian/copyright: Mention the current upstream URL (closes: #436739).
  * debian/rules:
    + Don't ignore errors from 'make distclean'.
    + Generate DEBIAN/md5sums.
  * Apply patch from Brendan O'Dea <bod@debian.org> adding support for
    diff's '-U' option to rcsdiff (closes: #428445).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 12 Aug 2007 18:40:04 +0200

rcs (5.7-18) unstable; urgency=low

  * Apply patch from Mark D. Baushke <mdb@gnu.org> adding support for the
    new 'commitid' phrase used by newer version of CVS and CVSNT.  Note
    that this patch does not include support for *generating* the ids at
    check in time; it only makes RCS recognize them (closes: #352527).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 14 Feb 2006 22:41:33 +0100

rcs (5.7-17) unstable; urgency=low

  * Apply patch from Aaron S. Hawley making the diff strategy of rcsdiff a
    bit more subtle: previously rcsdiff considered any long option as a
    case where diff(1) can produce output when the revisions are
    identical, when in fact it is only the case if either the
    --side-by-side or --ifdef options are used (closes: #334004).

  * Patch man/co.1 to not use 'asteriskmath', thanks to LI Daobing
    (closes: #345507).

  * debian/control: Bump Standards-Version to 3.6.2.2, no changes needed.
  * debian/changelog: Change formatting of entries from 1995 and 1996 to
    avoid lintian warnings.
  * debian/rules: `install' no longer strips .comment sections from
    binaries (since version 5.93-1), so revert previous fix and strip these
    sections manually.

 -- Romain Francoise <rfrancoise@debian.org>  Sun,  5 Feb 2006 16:34:21 +0100

rcs (5.7-16) unstable; urgency=low

  * Tenth anniversary release: RCS 5.7 was released on June 16th, 1995.

  * rcs.c: Check delta pointer in scanlogtext() before dereferencing it to
    prevent a segmentation fault in some rare cases (discovered while
    investigating #69193).

  * Ship docs in PostScript format (instead of DVI).  Drop the ``Functions
    of RCS'' paper since it's quite obsolete nowadays.

  * debian/rules: Delete substvars file in clean target.
  * debian/changelog: Facelift previous entry.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 16 Jun 2005 08:14:01 +0200

rcs (5.7-15) unstable; urgency=low

  * Adopting this package with Mark's blessing.
  * debian/control:
    + Bump Standard-Version to 3.6.1.0.
    + Update maintainer contact info.
  * debian/copyright: Ditto.
  * debian/rules:
    + Adjust CFLAGS to include -g and remove useless -I directive.
    + Remove LDFLAGS.

  * Patch upstream Makefile.in to use install -s (which has the nice
    effect of also deleting .comment sections from the binaries).

  * Patch man/rlog.1 to document option -q which does nothing, it's
    provided for consistency with other commands (closes: #69257).

  * Remove a few unneeded files from the Debian diff (.orig files, Emacs
    lock files).

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 11 May 2005 17:51:01 +0200

rcs (5.7-14) unstable; urgency=high

  * Fixes tmp file race (patch from OpenBSD) (Closes: #291542)

 -- Mark Baker <mark@mnb.org.uk>  Fri, 21 Jan 2005 18:16:20 +0000

rcs (5.7-13.3) unstable; urgency=high

  * NMU
  * Add build-dep on autoconf. Closes: #246566.
  * Fix up quoting in src/Makefile.in to make $SHELL not complain, as \"
    is not interpolated inside single-quoted strings.
  * Make ident accept numbers as well as letters in identifiers.
    Closes: #157891
  * Remove emacs variables from the changelog as they are no longer
    needed.
  * Add -isp to the dpkg-gencontrol call in debian/rules to get Section
    and Priority included.  Closes: #190383.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 29 Jul 2004 19:09:32 +0200

rcs (5.7-13.2) unstable; urgency=low

  * NMU
  * can build now as root. Closes: #249106
  * priority dumped down to optional. Closes: #64438
  * fixed spelling error in debian/copyright, and location of the GPL.

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 26 May 2004 22:21:05 +0200

rcs (5.7-13.1) unstable; urgency=low

  * NMU.
  * Rebuild so that the .dsc file will have Build-Depends.
    Closes: #187853, #176344.
  * Remove /usr/doc symlink.

 -- Daniel Schepler <schepler@debian.org>  Mon, 28 Jul 2003 16:28:32 -0700

rcs (5.7-13) unstable; urgency=low

  * debian/rules: install docs and manpages in /usr/share, as in FHS
  * debian/control: standards version 3.1.0
  * debian/rules: format docs into dvi instead of leaving groff source. I
    chose dvi as it is easier to view on screen than PS (Closes: 42277)

 -- Mark Baker <mbaker@iee.org>  Sun, 28 Nov 1999 18:31:21 +0000

rcs (5.7-12) unstable; urgency=low

  * man/Makefile: use sed filter to fix .lf requests on output of pic,
    so zsoelim doesn't complain about them (#26150)
  * debian/rules: clean target deletes rcsfile.5 so it is always rebuilt
    using fix above

 -- Mark Baker <mbaker@iee.org>  Mon,  5 Jul 1999 23:24:17 +0100

rcs (5.7-11) unstable; urgency=low

  * Fixed temp file security hole in rcsfreeze script (#27845)

 -- Mark Baker <mbaker@iee.org>  Wed, 14 Oct 1998 22:43:47 +0100

rcs (5.7-10) unstable; urgency=low

  * Included rcsfreeze script (#26743)

 -- Mark Baker <mbaker@iee.org>  Wed, 16 Sep 1998 20:57:00 +0000

rcs (5.7-9) unstable; urgency=low

  * Fixed permissions

 -- Mark Baker <mbaker@iee.org>  Mon, 16 Feb 1998 00:07:52 +0000

rcs (5.7-8) unstable; urgency=low

  * Updated standards-version to 2.4.0.0 (no changes)

 -- Mark Baker <mbaker@iee.org>  Tue, 10 Feb 1998 10:54:36 +0000

rcs (5.7-7) unstable; urgency=low

  * Corrected maintainer field in debian/control
  * Flushed configure cache and recompiled, to fix bug #11305/#11308)

 -- Mark Baker <mbaker@iee.org>  Thu, 17 Jul 1997 10:54:36 +0100

rcs (5.7-6) unstable; urgency=low

  * Renamed changelog.upstream to changelog, as per policy (fixes #9657)

 -- Mark Baker <mbaker@iee.org>  Sat, 12 Jul 1997 16:55:37 +0100

rcs (5.7-5) unstable; urgency=low

  * New maintainer
  * Compiled with libc6
  * Use canonical path for sendmail (configure.in changed)

 -- Mark Baker <mbaker@iee.org>  Fri, 11 Jul 1997 21:24:48 +0100

rcs (5.7-4) unstable; urgency=low

  * Updated to Standards-Version 2.1.2.2.

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Sun, 26 Jan 1997 22:34:57 +0100

rcs (5.7-3) unstable; urgency=low

  * debian.rules: added multi-architecture support

  * debian.control: added Priority: and Section:

  * debian.control: corrected extended description (Bug#3619)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Wed, 24 Jul 1996 23:48:20 +0100

rcs (5.7-2) unstable; urgency=low

  * rebuilt for elf

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 23 Nov 1995 23:27:13 +0100

rcs (5.7-1) unstable; urgency=low

  * created new Debian GNU/Linux package maintenance system files
  * updated from rcs5.6.0.1 to rcs-5.7
  * received this package from Robert Sanders <Robert.Sanders@linux.org>

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 5 Sep 1995 04:38:07 +0100
